Subject: bug#44961: 28.0.50; [feature/pgtk] frame-position returns incorrect information

From: martin rudalics <[email-masked]>
Date: Sun, 3 Jan 2021 10:23:08 +0100

>> Thanks.  So if we can position and reposition our tooltips, I don't
 >> understand why we can't do the same with the other two (and obviously
 >> normal frames either).  Is there some special magic involved with
 >> tooltips?  Is it because they are so small, have no decorations?
 >
 > Pgtk's Emacs' native tooltip is implemented by popup window, not toplevel window.
 > Tooltip doesn't have to be moved by users manually, doesn't have decorations,
 > and its position is important, so I created it by popup window.

I see.  So we are left with the fact that we won't be able to position
(and maybe also size) top-level frames in a foreseeable future and our
application writers must keep that in mind.

martin